<template>
  <wd-form ref="form" :model="model" class="relative form_box">
    <wd-cell-group :border="true">
      <wd-input
        v-model="model.workbench"
        label="机台型号"
        label-width="100px"
        prop="workbench"
        clearable
        placeholder="请输入机台型号"
      />
      <wd-input
        v-model="model.poleNo"
        label="杆号"
        label-width="100px"
        prop="poleNo"
        clearable
        placeholder="请输入杆号"
      />
      <wd-input
        v-model="model.unit"
        label="单位"
        label-width="100px"
        prop="unit"
        clearable
        placeholder="请输入单位"
      />
      <wd-input
        v-model="model.poleWeight"
        label="杆重"
        label-width="100px"
        prop="poleWeight"
        clearable
        placeholder="请输入杆重"
      />
      <wd-input
        v-model="model.useWeight"
        label="使用重量"
        label-width="100px"
        prop="useWeight"
        clearable
        placeholder="请输入使用重量"
      />
    </wd-cell-group>
  </wd-form>
</template>

<script setup lang="ts">
import useFormData from "@/hooks/useFormData";
const { form: model } = useFormData({
  workbench: undefined, // 机台型号
  poleNo: undefined, // 杆号
  unit: undefined, // 单位
  poleWeight: undefined, // 杆重
  useWeight: undefined, // 使用重量
});
</script>
<style lang="scss" scoped>
.form_box {
}
.submit_btn {
  position: absolute;
  bottom: 0;
  width: 100%;
}
</style>
